TEMPLATE	= app
LANGUAGE	= C++
TARGET	 = algobox
CONFIG	+= qt warn_off release
QT += xml \
      webkit
ALGOBOXVERSION=0.6
DEFINES += ALGOBOXVERSION=\\\"$${ALGOBOXVERSION}\\\"
###############################
HEADERS	+= algobox.h \
	browserdialog.h \
	browser.h \
	consoledialog.h \
	animatedlabel.h \
	variabledialog.h \
	modifierlignedialog.h \
	liredialog.h \
	afficherdialog.h \
	messagedialog.h \
	affectationdialog.h \
	conditiondialog.h \
	pourdialog.h \
	pourlineedit.h \
	tantquedialog.h \
	pointdialog.h \
	segmentdialog.h \
	aproposdialog.h \
	algowebview.h \
	algowebpage.h \
	commentairedialog.h \
	loghighlighter.h \
	algoeditor.h \
	algohighlighter.h \
	algoeditorview.h \
	linenumberwidget.h \
	findwidget.h \
	blockdata.h \
	replacedialog.h \
	verifdialog.h \
	x11fontdialog.h
SOURCES	+= main.cpp \
	algobox.cpp \
	browser.cpp \
	consoledialog.cpp \
	browserdialog.cpp \
	animatedlabel.cpp \
	variabledialog.cpp \
	modifierlignedialog.cpp \
	liredialog.cpp \
	afficherdialog.cpp \
	messagedialog.cpp \
	affectationdialog.cpp \
	conditiondialog.cpp \
	pourdialog.cpp \
	pourlineedit.cpp \
	tantquedialog.cpp \
	pointdialog.cpp \
	segmentdialog.cpp \
	aproposdialog.cpp \
	algowebview.cpp \
	algowebpage.cpp \
	commentairedialog.cpp \
	loghighlighter.cpp \
	algoeditor.cpp \
	algohighlighter.cpp \
	algoeditorview.cpp \
	linenumberwidget.cpp \
	findwidget.cpp \
	blockdata.cpp \
	replacedialog.cpp \
	verifdialog.cpp \
	x11fontdialog.cpp
RESOURCES += algobox.qrc
FORMS += algobox.ui \
	browserdialog.ui \
	consoledialog.ui \
	variabledialog.ui \
	modifierlignedialog.ui \
	liredialog.ui \
	afficherdialog.ui \
	messagedialog.ui \
	affectationdialog.ui \
	conditiondialog.ui \
	pourdialog.ui \
	tantquedialog.ui \
	pointdialog.ui \
	segmentdialog.ui \
	aproposdialog.ui \
	commentairedialog.ui \
	findwidget.ui \
	replacedialog.ui \
	verifdialog.ui \
	x11fontdialog.ui
################################
unix:!macx {

UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj
isEmpty( PREFIX ) {
    PREFIX=/usr
}
isEmpty( DESKTOPDIR ) {
    DESKTOPDIR=/usr/share/applications
}
isEmpty( ICONDIR ) {
    ICONDIR=/usr/share/pixmaps
}
DEFINES += PREFIX=\\\"$${PREFIX}\\\"

#DEFINES += VERSION_MINIPC
#DEFINES += USB_VERSION

target.path = $${PREFIX}/bin
#target.path = AlgoBoxLinux-$${ALGOBOXVERSION}
#target.path = MiniAlgoBoxLinux-$${ALGOBOXVERSION}
INSTALLS = target

utilities.path = $${PREFIX}/share/algobox
#utilities.path = AlgoBoxLinux-$${ALGOBOXVERSION}/ressources
#utilities.path = MiniAlgoBoxLinux-$${ALGOBOXVERSION}/ressources
utilities.files = utilities/qt_fr.qm \
		ressources/eleve_calcul_recurrent.alg \
		ressources/eleve_distance_sur_un_axe.alg \
		ressources/eleve_que_fait_lalgo.alg \
		ressources/eleve_simplification_calculs_enchaines.alg \
		ressources/eleve_simul_lancers_de.alg \
		ressources/prof_babylone.alg \
		ressources/prof_balayage_fonctions.alg \
		ressources/prof_courbe_fonction.alg \
		ressources/prof_decomp_facteurspremiers.alg \
		ressources/prof_dichotomie.alg \
		ressources/prof_ductoscane.alg \
		ressources/prof_euler.alg \
		ressources/prof_integrale_trapezes.alg \
		ressources/prof_montecarlo.alg \
		ressources/prof_pgcd_euclide.alg \
		ressources/prof_somme_entiers.alg \
		ressources/prof_suite_syracuse.alg \
		ressources/prof_tri_abulle.alg \
		ressources/prof_pgcd_recursif.alg \
		ressources/aidealgobox.html \
		utilities/AUTHORS \
		utilities/COPYING \
		utilities/CHANGELOG.txt 
INSTALLS += utilities

desktop.path = $${DESKTOPDIR}
#desktop.path = AlgoBoxLinux-$${ALGOBOXVERSION}/ressources
#desktop.path = MiniAlgoBoxLinux-$${ALGOBOXVERSION}/ressources
desktop.files = utilities/algobox.desktop
INSTALLS += desktop

icon.path = $${ICONDIR}
#icon.path = AlgoBoxLinux-$${ALGOBOXVERSION}/ressources
#icon.path = MiniAlgoBoxLinux-$${ALGOBOXVERSION}/ressources
icon.files = utilities/algobox.png
INSTALLS += icon
}
################################
win32 {
INCLUDEPATH += C:\QtSDK\mingw\include
RC_FILE = win.rc

DEFINES += USB_VERSION
target.path = AlgoBoxWin32
#target.path = AlgoBoxWin32Sys
INSTALLS = target
utilities.path = AlgoBoxWin32/ressources
#utilities.path = AlgoBoxWin32Sys/ressources
utilities.files = utilities/qt_fr.qm \
		ressources/eleve_calcul_recurrent.alg \
		ressources/eleve_distance_sur_un_axe.alg \
		ressources/eleve_que_fait_lalgo.alg \
		ressources/eleve_simplification_calculs_enchaines.alg \
		ressources/eleve_simul_lancers_de.alg \
		ressources/prof_babylone.alg \
		ressources/prof_balayage_fonctions.alg \
		ressources/prof_courbe_fonction.alg \
		ressources/prof_decomp_facteurspremiers.alg \
		ressources/prof_dichotomie.alg \
		ressources/prof_ductoscane.alg \
		ressources/prof_euler.alg \
		ressources/prof_integrale_trapezes.alg \
		ressources/prof_montecarlo.alg \
		ressources/prof_pgcd_euclide.alg \
		ressources/prof_somme_entiers.alg \
		ressources/prof_suite_syracuse.alg \
		ressources/prof_tri_abulle.alg \
		ressources/prof_pgcd_recursif.alg \
		ressources/aidealgobox.html \
		utilities/AUTHORS \
		utilities/COPYING \
		utilities/CHANGELOG.txt
INSTALLS += utilities
others.path = AlgoBoxWin32
#others.path = AlgoBoxWin32Sys
others.files = algobox.ico \
		C:\QtSDK\Desktop\Qt\4.7.2\mingw\bin\mingwm10.dll \
		C:\QtSDK\Desktop\Qt\4.7.2\mingw\bin\libgcc_s_dw2-1.dll \
		C:\QtSDK\Desktop\Qt\4.7.2\mingw\bin\QtCore4.dll \
		C:\QtSDK\Desktop\Qt\4.7.2\mingw\bin\QtGui4.dll \
		C:\QtSDK\Desktop\Qt\4.7.2\mingw\bin\QtWebKit4.dll \
		C:\QtSDK\Desktop\Qt\4.7.2\mingw\bin\QtXml4.dll \
		C:\QtSDK\Desktop\Qt\4.7.2\mingw\bin\QtXmlPatterns4.dll \
		C:\QtSDK\Desktop\Qt\4.7.2\mingw\bin\phonon4.dll \
		C:\QtSDK\Desktop\Qt\4.7.2\mingw\bin\QtNetwork4.dll 
INSTALLS += others
#Patch Qt RandomNumber.cpp
#double r;
#r = ((double)rand()/((double)(RAND_MAX)+(double)(1)));
#return r;
}
###############################
macx {
UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj

##universal tiger 32
CONFIG += link_prl x86 ppc
QMAKE_MAC_SDK=/Developer/SDKs/MacOSX10.5.sdk
QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.5
#target.path = AlgoBoxMacosx32

##tiger snow 64
#CONFIG += link_prl x86_64
#QMAKE_MAC_SDK=/Developer/SDKs/MacOSX10.6.sdk
#QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.6
#target.path = AlgoBoxMacosx64

target.path = /Applications
INSTALLS = target
utilities.path = Contents/Resources
utilities.files = utilities/qt_menu.nib \
		utilities/qt_fr.qm \
		ressources/eleve_calcul_recurrent.alg \
		ressources/eleve_distance_sur_un_axe.alg \
		ressources/eleve_que_fait_lalgo.alg \
		ressources/eleve_simplification_calculs_enchaines.alg \
		ressources/eleve_simul_lancers_de.alg \
		ressources/prof_babylone.alg \
		ressources/prof_balayage_fonctions.alg \
		ressources/prof_courbe_fonction.alg \
		ressources/prof_decomp_facteurspremiers.alg \
		ressources/prof_dichotomie.alg \
		ressources/prof_ductoscane.alg \
		ressources/prof_euler.alg \
		ressources/prof_integrale_trapezes.alg \
		ressources/prof_montecarlo.alg \
		ressources/prof_pgcd_euclide.alg \
		ressources/prof_somme_entiers.alg \
		ressources/prof_suite_syracuse.alg \
		ressources/prof_tri_abulle.alg \
		ressources/prof_pgcd_recursif.alg \
		ressources/aidealgobox.html \
		utilities/AUTHORS \
		utilities/COPYING \
		utilities/CHANGELOG.txt
QMAKE_BUNDLE_DATA += utilities
INSTALLS += utilities
ICON = algobox.icns
QMAKE_INFO_PLIST =Info.plist
}
